@echo off

echo Checking environment sanity
echo ***************************
echo .

echo .
echo Is delphi version set?
for /f %%i in (delphi.version) do set DVERSION=%%i
set DVERSION
if ERRORLEVEL 1 (
	echo delphi version not set >>error.found
	goto error
)
if "%DVERSION%" == "0" (
	echo delphi version not set >>error.found
	goto error
)

echo .
echo Is Directx9 compiled?
if exist BPL\DirectX9_D%DVERSION%.bpl goto directx9_ok
echo NO. Compiling...
mkdir bpl
copy default.cfg DSPack\packages\DirectX9_D%DVERSION%.cfg
copy default.res DSPack\packages\DirectX9_D%DVERSION%.res
cd DSPack\packages
dcc32 DirectX9_D%DVERSION%.dpk
cd ..\..
if not exist BPL\DirectX9_D%DVERSION%.bpl goto error

echo ***********************************
echo *                                 *
echo * DIRECTX 9 compiled SUCCESSFULLY *
echo *                                 *
echo ***********************************
:directx9_ok

echo .
echo Is DSPack compiled?
if exist BPL\DSPack_D%DVERSION%.bpl goto dspack_ok
echo NO. Compiling...
copy default.cfg DSPack\packages\DSPack_D%DVERSION%.cfg
copy default.res DSPack\packages\DSPack_D%DVERSION%.res
cd DSPack\packages
dcc32 -I..\src\directx9 DSPack_D%DVERSION%.dpk
cd ..\..
if not exist BPL\DSPack_D%DVERSION%.bpl goto error

echo *********************************
echo *                               *
echo * DS PACK compiled SUCCESSFULLY *
echo *                               *
echo *********************************
:dspack_ok

goto end

:error

cd ..\..
echo SOME ERROR OCURED!
echo error compiling dspack >>error.found

rem signal error (force setting ERRORLEVEL to 1)
REM exit /b 1

:end
